<template>
  <div class="Mdr-container-component">
    <div
      class="Mdrc-component-box"
      v-for="item in dataList"
      :key="item.value"
      @click="select(item.answer)"
    >
      <div class="Mdrcc-box-bg"></div>
      <cr-image class="Mdrcc-box-image" width="" height="" fit="cover" :src="item.image" />
    </div>
  </div>
</template>
<script>
import { genderList } from "../constants";

export default {
  name: "Age",
  props: {},
  data() {
    return {
      dataList: genderList
    };
  },
  methods: {
    select(value) {
      this.$emit("update:currentAnswer", value);
      this.$emit("nextQuestion");
    }
  }
};
</script>
<style lang="less" src="../index.less" scoped></style>
